              Samba2.2 日本語版修正点一覧
						日本Sambaユーザ会
  Samba2.2 日本語版の修正点です。
  各修正点先頭の記号の印は以下のとおり

  *: Samba2.2 日本語版独自の修正
  x: 本家に patch を提出した修正
  c: 本家に patch がコミットされた修正
  o: 本家の patch を先行して採用した修正

samba-2.2.8a-ja-1.2alpha3
~~~~~~~~~~~~~~~~~~~~~~~~~
   オリジナル版に対する修正
      o Linux kernel 2.4以降でoplocksが使えない問題を修正
                                                        [sugj-tech:6096]

samba-2.2.8a-ja-1.2alpha2
~~~~~~~~~~~~~~~~~~~~~~~~~
   国際化版独自の修正
      * FreeBSD以外の環境でもKerberos Vに対応           [sugj-tech:6030]
      * RPM用のディレクトリ構成の指定を修正             [sugj-tech:6029]
      * FreeBSDでwinbind認証を指定できない問題を修正    [sugj-tech:6049]
      * 64bit Solarisでsmbwrapper.64.soを作成できない問題を修正
                                                        [sugj-tech:6048]

   オリジナル版に対する修正
      * 一部コマンドで名前解決法を指定すると異常終了する問題を修正
                                                        [sugj-tech:6031]
      * BSD系OSでのPDCとしてのパスワード変更問題を修正  [sugj-tech:6073]

samba-2.2.8a-ja-1.2alpha1
~~~~~~~~~~~~~~~~~~~~~~~~~
   国際化版独自の修正
      * username mapで日本語名が扱えない問題を修正      [samba-jp:15437]

   オリジナル版に対する修正
      * Mac OS Xでビルドできない問題を修正              [samba-jp:15461]
      * BSD/OS, Mac OS Xでのアクセス不能問題を修正      [samba-jp:15472]

samba-2.2.8a-ja-1.1beta9
~~~~~~~~~~~~~~~~~~~~~~~~
   国際化版独自の修正
      * Solaris for Sparcでビルドできない問題を修正     [sugj-tech:5695]
      * swatで「"」や「&」を文字列に含めない問題を修正  [sugj-tech:5696]

samba-2.2.8a-ja-1.1beta8
~~~~~~~~~~~~~~~~~~~~~~~~
   オリジナル版に対する修正
      * smbshでcd出来ない問題を修正                     [sugj-tech:5647]
      * BSD由来のcshを用いてsmbshを使えない問題を修正   [sugj-tech:5649]
      * ipk形式のpackageをMakefile targetに追加         [sugj-tech:5661]

samba-2.2.8a-ja-1.1beta7
~~~~~~~~~~~~~~~~~~~~~~~~
   オリジナル版に対する修正
      * i386以外のLinux環境でのsmbshに関する問題を修正  [sugj-tech:5619]
      * VFSのlibtool依存問題を修正                      [sugj-tech:5624]

samba-2.2.8a-ja-1.1beta6
~~~~~~~~~~~~~~~~~~~~~~~~
   オリジナル版に対する修正
      * 一部OS環境でのsmbshに関する問題を修正           [sugj-tech:5562]
      * VFSのlibtool依存問題を修正                      [sugj-tech:5593]
      * Kerberos Vが使えない問題を修正                  [sugj-tech:5594]
      * i386以外のLinux環境でのsmbshに関する問題を修正  [sugj-tech:5596]

samba-2.2.8a-ja-1.1beta5
~~~~~~~~~~~~~~~~~~~~~~~~
   国際化版独自の修正
      * RPMパッケージでsmbd/nmbdがdaemonとして起動しない問題を修正
                                                        [sugj-tech:5515]
      * configure時のgetpass()代替関数問題を修正        [sugj-tech:5522]

   オリジナル版に対する修正
      * Linux/ppc環境での巨大ファイル問題を修正         [sugj-tech:5531]
      * Solarisの64bits環境用shared library問題を修正   [sugj-tech:5535]

samba-2.2.8a-ja-1.1beta4
~~~~~~~~~~~~~~~~~~~~~~~~
   国際化版独自の修正
      * gettextが既にある環境での問題を修正             [sugj-tech:5385]
      * smbshに-t(coding system指定) optionを追加       [sugj-tech:5476]

   オリジナル版に対する修正
      * SolarisのForte C環境でのwarningを排除           [sugj-tech:5370]
      * 一部OS環境でのsmbshに関する問題を修正           [sugj-tech:5381]
      * getcwd()の下位関数が存在しない場合の問題を修正  [sugj-tech:5415]
      * client系のtimestampずれ問題を修正               [sugj-tech:5470]

samba-2.2.8a-ja-1.1beta3
~~~~~~~~~~~~~~~~~~~~~~~~
   国際化版独自の修正
      * HP-UX 11.00でcompileに失敗する問題を修正        [sugj-tech:5320]
      * Solarisでcompileに失敗する問題を修正            [sugj-tech:5322]

   オリジナル版に対する修正
      * Solarisに於けるwarningを排除                    [sugj-tech:5324]
      * PAM関連のwarningを排除                          [sugj-tech:5328]

samba-2.2.8a-ja-1.1beta2
~~~~~~~~~~~~~~~~~~~~~~~~
   オリジナル版に対する修正
      * mangling char設定が有効にならない問題を修正     [sugj-tech:5308]
      * IRIXでshared libraryが作成出来ない問題を修正    [sugj-tech:5310]
      * 各種platformに於けるwarningを排除               [sugj-tech:5310]

samba-2.2.8a-ja-1.1beta1
~~~~~~~~~~~~~~~~~~~~~~~~
   オリジナル版に対する修正
      * WinXPから共有ファイルのグループアクセス権を設定出来ない問題を修正
                                                        [samba-jp:14786]
      * WinXP/2003 ServerがNTアーキテクチャ扱いされない問題を修正
                                                        [samba-jp:14789]
      * Solarisでconfigureに失敗する問題を修正          [samba-jp:14793]
      * LDAP環境でのパスワード変更時タイムアウト問題を修正
                                                        [sugj-tech:5299]
      * 巨大ファイルの送受信が途中で途切れる問題を修正  [samba-jp:14822]
      c hosts allow/denyのCIDR指定が正常に処理できない問題を修正
                                                        [samba-jp:14615]

samba-2.2.8a-ja-1.0
~~~~~~~~~~~~~~~~~~~
   国際化版独自の修正
      * docs/ja/htmldocs/BrowsingFAQ/image/*.gif ファイルモードの修正
                                                        [sugj-tech:5281]

   オリジナル版に対する修正
      * DFS環境で「\」を含む日本語ファイル名問題を修正  [samba-jp:14700]

samba-2.2.8a-ja-1.0alpha3
~~~~~~~~~~~~~~~~~~~~~~~~~
   オリジナル版に対する修正
      * off_tのサイズ依存による問題を修正               [sugj-tech:5272]

samba-2.2.8a-ja-1.0alpha2
~~~~~~~~~~~~~~~~~~~~~~~~~
   オリジナル版に対する修正
      * int<->unsigned intの不整合問題を修正            [sugj-tech:5248]
      * uint32<->uisigned intの不整合問題を修正         [sugj-tech:5253]

samba-2.2.7b-ja-1.0
~~~~~~~~~~~~~~~~~~~
   オリジナル版に対する修正
      c samba-2.2.8aで修正されたセキュリティ問題の修正  [sugj-tech:5233]
      c hosts allow/denyのCIDR指定が正常に処理できない問題の修正
                                                        [samba-jp:14286]

samba-2.2.8a-ja-1.0alpha1
~~~~~~~~~~~~~~~~~~~~~~~~~
   オリジナル版に対する修正
      c samba-2.2.8aで修正されたセキュリティ問題の修正  [sugj-tech:5234]

samba-2.2.8-ja-1.0alpha3
~~~~~~~~~~~~~~~~~~~~~~~~
   オリジナル版に対する修正
      * TDB環境のメモリリーク修正                       [sugj-tech:5220]

samba-2.2.8-ja-1.0alpha2
~~~~~~~~~~~~~~~~~~~~~~~~
   国際化版独自の修正
      * クロスコンパイル環境に対応                      [sugj-tech:5217]

   オリジナル版に対する修正
      * NIS+環境のコンパイル不能問題を修正              [sugj-tech:5217]

samba-2.2.8-ja-1.0alpha1
~~~~~~~~~~~~~~~~~~~~~~~~
   国際化版独自の修正
      * LINGUAS値に依存するconfigureミス問題を修正      [sugj-tech:5198]
      * RedHat Linux 6.x用のspecを同梱                  [sugj-tech:5198]

   オリジナル版に対する修正
      c hosts allow/denyのCIDR指定が正常に処理できない問題の修正
                                                        [samba-jp:14286]
      * const及びunsignedの型宣言ミスを修正             [sugj-tech:5214]

samba-2.2.7a-ja-1.1
~~~~~~~~~~~~~~~~~~~
   オリジナル版に対する修正
      c samba-2.2.8で修正されたセキュリティ問題の修正   [sugj-tech:5211]

samba-2.2.7a-ja-1.0beta1
~~~~~~~~~~~~~~~~~~~~~~~~
   国際化版独自の修正
      * gettextの0.11.x利用時にビルドできない問題を修正 [sugj-tech:5177]
      * winbinddのメモリリーク修正                      [sugj-tech:5152]
      * ldap referralsパラメータの追加                  [sugj-tech:5124]
      * FreeBSDでprintingパラメータがsysvになる問題を修正
                                                        [sugj-tech:5155]
      * SIGHUPで各パラメータがリセットされるように修正  [sugj-tech:5160]
      * printingパラメータの設定変更がprint関係のパラメータと連動するように修正
                                                        [sugj-tech:5155]
      * 旧式のgetgroupsでエラーが出力される問題を修正   [sugj-tech:5166]
      * うるう秒があるときに警告メッセージが出力されないよう修正
                                                        [sugj-tech:5166]
      * smbclientのaltnameの修正			[sugj-tech:5019]
      * smbcontrolで日本語共有に対するclose shareの修正 [sugj-tech:5014]
      * Tru64 UNIXでコンパイル可能に修正                [sugj-tech:5033]
      * tdbディレクトリのコンパイル可能に修正           [sugj-tech:5033]
      * 日本語ドメインにログオンできない問題の修正      [sugj-tech:5043]
      * smbspoolの日本語対応修正                        [sugj-tech:5048,5112]
      * VFSのrecycle.cの日本語版対応                    [samba-jp:13590]
      * make_printerdefのメモリ管理の修正               [sugj-tech:5106]
      * FreeBSD 2.2.8以前の環境でmakeできない問題の修正 [sugj-tech:5112]
      * rpcclientのquerydispinfo実行時のcore dump修正   [sugj-tech:5112]
      * rpcclientの日本語対応修正                       [sugj-tech:5112]
      * 日本語版クライアントコマンドの-tオプションを-Tに変更
                                                        [sugj-tech:5077]
      * smbchartoolのバージョンアップ(jcode.plを削除)   [sugj-tech:5091]
      * coding systemにeuc3を指定したときのコード変換を修正
                                                        [sugj-tech:5122]

samba-2.2.5-ja-1.0beta3
~~~~~~~~~~~~~~~~~~~~~~~
   国際化版独自の修正
      * 印刷ジョブ名を表す%jマクロの追加                [sugj-tech:4998]

   オリジナル版に対する修正
      * unistr_to_dos()の文字数チェックの修正           [sugj-tech:5004]
      * NetBSDで--with-quotasオプション付きでコンパイル可能に修正
                                                        [sugj-tech:4965]

samba-2.2.4-ja-1.0
~~~~~~~~~~~~~~~~~~
   国際化版独自の修正
      * charsetにISO-8859などを指定したときに、ASCII文字以外が利用できない
        問題の修正                                      [sugj-tech:4835,4915]
      * smbstatusの日本語共有名の表示を修正             [sugj-tech:4888]
      * 日本語ファイル名に対するMS-DOSファイル名として、別のMS-DOSファイル名が
        使用される問題の修正                            [sugj-tech:4885]
      * username mapに日本語ユーザ名を使用できるように修正
      * smbclientが日本語ユーザ名で接続できるように修正
      * winbind環境下で、日本語ユーザ名のユーザがホームディレクトリを
        使用できるように修正
      * クライアントツールの-tオプションが優先されるように修正
                                                        [sugj-tech:4899]
      * smbpasswdの日本語対応の修正                     [sugj-tech:4899,4911]
      * nmblookup, smbpasswd, smbstatusに新たに-tオプションを追加	
							[sugj-tech:4906]
      * ドメイン名に')'を使用できるように修正		[sugj-tech:4906]

   オリジナル版に対する修正
      c --with-tdbsam利用時のバッファオーバーフロー修正 
                                              [samba-jp:13058, sugj-tech:4924]
      * LPRng使用時に、印刷が完了したジョブのステータス情報の修正
                                                        [sugj-tech:4544, 4893]
      * 日本語ドメインログオン可能に修正                [sugj-tech:4899]
      * smbpasswdの-Rオプションの動作修正		[sugj-tech:4906]

samba-2.2.4-ja-1.0beta2
~~~~~~~~~~~~~~~~~~~~~~~
   国際化版独自の修正
      * smbclientの日本語対応の改善                     [sugj-tech:4684]
      * ボリュームラベルの日本語対応修正                [sugj-tech:4684]
      * ブラウジング時の文字化け修正                    [sugj-tech:4559]
      * シフトJISに変換不可能なファイル名を作成する時の動作修正
                                                        [sugj-tech:4618]
      * --with-sslなどのオプション指定時のライブラリの場所による
        ビルド失敗の修正                                [sugj-tech:4691]
      * --with-ssllibのオプション指定時のconfigureの修正
                                                        [sugj-tech:4667]
      * --with-libsmbclientオプション指定時のインストールの問題修正
                                                        [sugj-tech:4733]
      * ビルド時にLANG=jaに設定される問題の修正         [sugj-tech:4802]
      * smbd/dir.cの実装をオリジナル版に近づける        [sugj-tech:4814,4820]
      * winbindのユーザ名の日本語対応                   [sugj-tech:4821]
      * 不適切なcastの修正                              [sugj-tech:4790,4814]
      * クライアントツールの日本語メッセージ削除        [sugj-tech:4625]

   オリジナル版に対する修正
      c csc_policy構造体のバッファオーバーフローの恐れの修正
                                                        [sugj-tech:4724]
      * veto_fileの対象ファイルから"."と".."を除外      [sugj-tech:4592]
      * make_printerdefの空行の扱いの修正               [sugj-tech:4520]


samba-2.2.2-ja-1.1
~~~~~~~~~~~~~~~~~~
   国際化版独自の修正
      * utmp_strcpyのNULLポインタ問題の修正             [samba-jp:11628]
      * インストールスクリプトの修正    [samba-jp:11637, sugj-tech:4444]
      * source/install-sh、source/mkinstalldirs、source/script/mkinstalldirsの
        実行ビットを設定                                [samba-jp:11633, 11643]
      * UsingSamba(翻訳版)のリンク追加                  [samba-jp:11804]
      * smbclientの日本語ヘルプメッセージの修正
   
   オリジナル版に対する修正
      c smb.confの%Gマクロが有効になるように修正        [sugj-tech:4467]
      c smbwrapper/smbw.cのTYPO修正                     [samba-jp:11584]
      c SolarisのLDSHFLAGを-Gに設定                     [samba-jp:11578]   
      c SWATのステータス表示時に出力されるメッセージの抑止
                                                        [samba-jp:11659]
      c RedHat Linux 7.xやTurbo Linux 7でコンパイルに失敗する問題の
        修正                                            

samba-2.2.2-ja-1.0
~~~~~~~~~~~~~~~~~~
   国際化版独自の修正
      * smbclient で、ワイルドカードを使用してmputするときに、日本語ファイル名
        のマッチングが正しくない問題を修正              [sugj-tech:4406]
      * NEWS-OS 4.xなどでコンパイルできるように、proto.hを修正
                                                        [sugj-tech:4431]

samba-2.2.2-ja-0.6
~~~~~~~~~~~~~~~~~~
   国際化版独自の修正
      * NEWS OSのgccでcompileできない問題を修正         [sugj-tech:4301,4303]
      * Mac OS X で適切な文字コード変換テーブルを利用するように修正
                                                        [sugj-tech:4314]
      * ごみ箱パッチの追加                              [sugj-tech:4366]
      * FreeBSD の make でコンパイル可能に修正          [samba-jp:11318]
      * examples/smbchartool ver2.2の追加

   オリジナル版に対する修正
      * utmp 書き込み時に最後にNULL文字を入れないように修正  
                                                        [sugj-tech:4326]
      * smbdのshellの呼び出しで、「"」の代わりに、「'」を使用するように修正
                                                        [sugj-tech:4301]

samba-2.2.2-ja-0.5
~~~~~~~~~~~~~~~~~~
   国際化版独自の修正
      * Win9xから長い共有名にアクセスできない問題の修正パッチ洩れ
                                                        [sugj-tech:4276]
      * SWATから長い共有名を設定したときの問題の修正    [sugj-tech:4276] 
      * volumeラベルの文字が切り詰められる問題の修正    [sugj-tech:3478]

   オリジナル版に対する修正
      c unistr2_to_asciiの日本語変換問題の修正          [sugj-tech:4296]

samba-2.2.1a-ja-0.4
~~~~~~~~~~~~~~~~~~~
   オリジナル版に対する修正
      * loadparm.cのパッチの適用洩れを修正              [sugj-tech:4093,4220]
      * 2.2.0に含まれていたファイルの削除洩れを修正     [sugj-tech:4227]

samba-2.2.1a-ja-0.3
~~~~~~~~~~~~~~~~~~~
   国際化版独自の修正
      * StrCmp()でShiftJISの1バイト目が同じ時に、2バイト目を比較していない
        バグを修正                                      [sugj-tech:4077,4078]
      * インストールスクリプトの修正                    [sugj-tech:4088]
      * NEWS OSでのコンパイルを可能に修正               [sugj-tech:4089,4093]
      * gettext用日本語メッセージの修正                 [sugj-tech:4089,4093]
      * 不要なデバッグメッセージの削除                  [sugj-tech:4093]

   オリジナル版に対する修正
      * SWAT画面の設定項目に、manページにはsynonymと記述されているほうの
	識別子が表示される問題の修正                    [sugj-tech:4093]

samba-2.2.1a-ja-0.2
~~~~~~~~~~~~~~~~~~~
   国際化版独自の修正
      * samba-2.0.10-ja-1.1相当の機能実装               [sugj-tech:4075]

samba-2.2.1a-ja-0.1
~~~~~~~~~~~~~~~~~~~
   国際化版独自の修正
      * SWATの国際化                                    [sugj-tech:4068]
      * ファイル名、ディレクトリ名の機種依存文字対応    [sugj-tech:4068]
      * NetBIOS名の日本語対応                           [sugj-tech:4068]



